using System.Collections.Generic;
using LitJson;

namespace Wizard;

public class GatheringGetReceiveInviteTask : BaseTask
{
	public class UserInfo
	{
		public GatheringUserInfo GatherintUserInfo { get; private set; }

		public string GatheringId { get; private set; }

		public string InviteId { get; private set; }

		public UserInfo(JsonData data)
		{
			JsonData jsonData = data["gathering"];
			InviteId = data["id"].ToString();
			GatheringId = jsonData["id"].ToString();
			GatherintUserInfo = new GatheringUserInfo(jsonData["master_user"]);
		}
	}

	public List<UserInfo> InviteList { get; private set; }

	public GatheringGetReceiveInviteTask()
	{
		base.type = ApiType.Type.GatheringGetReceiveInvite;
	}

	protected override int Parse()
	{
		int num = base.Parse();
		if (num != 1)
		{
			return num;
		}
		InviteList = new List<UserInfo>();
		JsonData jsonData = base.ResponseData["data"]["invite_list"];
		for (int i = 0; i < jsonData.Count; i++)
		{
			InviteList.Add(new UserInfo(jsonData[i]));
		}
		Data.MyPageNotifications.data.IsInviteGathering = InviteList.Count > 0;
		return num;
	}
}
